Subject: bug#62721: 30.0.50; EUDC: stop adding a wildcard to LDAP searches

From: Thomas Fitzsimmons <[email-masked]>
Date: Mon, 15 May 2023 16:40:12 -0400

Thomas Fitzsimmons <[email-masked]> writes:

> Fabrice Bauzac-Stehly <[email-masked]> writes:
>
>> Hello Thomas,
>>
>> Thomas Fitzsimmons <[email-masked]> writes:
>>
>>> Do you mind posting the `eudc-ldap-no-wildcard-attributes' setting you
>>> ended up with?  The docstring for that variable doesn't mention
>>> adjusting this as a preference, only LDAP failure workarounds.  I
>>> would like to update the docstring with an example, to make your use
>>> case more discoverable.
>>
>> Sure.  I have kept the two default items of the list, and added
>> 'samaccountname (the attribute for which I don't want any wildcard).  As
>> I've used Customize, it appears like this in my ~/.emacs.d/init.el:
>>
>> '(eudc-ldap-no-wildcard-attributes '(objectclass objectcategory samaccountname))
>
> Thanks, and what field of `eudc-query-form' does that affect?
> "E-Mail"?

I'll just share my proposed patch.  Does the documentation change
capture your use case?

Thanks,
Thomas

    EUDC: Document disabling default LDAP wildcard expansion
    
    * lisp/net/eudc-vars.el (eudc-ldap-no-wildcard-attributes): Cover
    `eudc-query-form' and `eudc-expand-inline' behavior in the
    customization docstring.  (Bug#62721)

diff --git a/lisp/net/eudc-vars.el b/lisp/net/eudc-vars.el
index 12f5347bd35..b3aa23f5827 100644
--- a/lisp/net/eudc-vars.el
+++ b/lisp/net/eudc-vars.el
@@ -441,7 +441,12 @@ eudc-ldap-no-wildcard-attributes
   "LDAP attributes which are always searched for without wildcard character.
 This is the list of special dictionary-valued attributes, where
 wildcarded search may fail.  For example, it fails with
-objectclass in Active Directory servers."
+objectclass in Active Directory servers.
+
+You may not want functions like `eudc-query-form' and
+`eudc-expand-inline' to do LDAP wildcard expansion by default on
+certain fields.  If so, add the relevant symbol to this list, for
+example `samaccountname' for the \"E-Mail\" field."
   :type  '(repeat (symbol :tag "Directory attribute")))